<?php

namespace App\Modules\Cpa\Services;

use App\Modules\Activity\Models\Activity;
use App\Modules\Activity\Models\ActivitySwitch;
use App\Modules\Cpa\Models\AdvertiseUsers;
use App\Modules\Statistic\Services\WapVisitStatService;
use App\Modules\Subscribe\Models\Order;
use App\Modules\Trade\Services\OrderService;
use DB;
use Redis;

class AdvertiseUsersService
{
    public static function addAdUsers($params){
        return AdvertiseUsers::addAdUsers($params);
    }
    static function addOrUpdateAdUsers($insert,$update=''){
        \Log::info('insert'.json_encode($insert));
        return AdvertiseUsers::addOrUpdateAdUsers($insert,$update);
    }
    static function getOne($params){
        return AdvertiseUsers::getOne($params);
    }

    static function  addAdAccessRec($params) {
        return DB::table('advertise_access_rec')->insert($params);
    }
}
